CREATE OR REPLACE PACKAGE security_pkg
IS
/* ************************************************\
|| Name: SECURITY_PKG
|| Schema: HR
|| Grants: none
|| Purpose: 
||
|| History
|| =======
|| Author: JDev J2EE Authors
|| Created: 30-JAN-2006
||
|| Program Units
|| =============
|| set_security_context
||   Write to the HR_CONTEXT context the username and 
||   a flag about whether the user is accessing the 
||   application on the Web.
||
|| logged_in_user
||   Return the logged in username. This will be the 
||   username from the HR_CONTEXT context if the user
||   is on the Web. It will be the database user if
||   the user is not on the Web.
||
\*  ************************************************/

   PROCEDURE set_security_context (
      p_username IN VARCHAR2, 
      p_application IN VARCHAR2,
      p_is_web_user IN VARCHAR2 DEFAULT 'Y');

   FUNCTION logged_in_user
      RETURN VARCHAR2;

END security_pkg;
/
