CREATE OR REPLACE TRIGGER employees_audit_biu
   BEFORE INSERT OR UPDATE
   ON employees
   FOR EACH ROW
DECLARE
   v_user   VARCHAR2(30);
BEGIN
   v_user := security_pkg.logged_in_user;

   IF INSERTING
   THEN
      :NEW.created_by := v_user;
      :NEW.created_date := SYSDATE;
   ELSIF UPDATING
   THEN
      :NEW.modified_by := v_user;
      :NEW.modified_date := SYSDATE;
   END IF;
END;
/
/
